Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.providers.ejb
Class EjbHome

    java.lang.Object
      |
      +--oracle.soap.providers.ejb.EjbHome

All Implemented Interfaces:
  Dispatch

public class EjbHome
extends java.lang.Object
implements Dispatch

Field Summary

Fields inherited from interface oracle.soap.providers.ejb.Dispatch
`DISPATCH_E_ACCESSDENIED, DISPATCH_E_BADINDEX, DISPATCH_E_INVALIDARG, DISPATCH_E_INVALIDARGCOUNT, DISPATCH_E_INVOKE, DISPATCH_E_METHODNOTFOUND, DISPATCH_E_NOTIMPLEMENTED, DISPATCH_E_TARGETEXCP, DISPATCH_METHOD, DISPATCH_SOAPMETHOD`

Constructor Summary
`EjbHome(oracle.soap.providers.ejb.SessionConnection connection, org.omg.CORBA.Object obj, java.lang.String helper)`

Method Summary
`Parameter` | `invoke(java.lang.String methodName, int flags, Parameter[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbHome

    public EjbHome(oracle.soap.providers.ejb.SessionConnection connection,
                   org.omg.CORBA.Object obj,
                   java.lang.String helper)
            throws SOAPException

Method Detail

### invoke

    public Parameter invoke(java.lang.String methodName,
                            int flags,
    Parameter[] args)
                     throws SOAPException

  Specified by:
    `invoke` in interface `Dispatch`
    `SOAPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.